Debian Bug report logs - #313789
lynx: [INTL:de] German PO file corrections

version graph

Package: lynx; Maintainer for lynx is Atsuhito KOHDA <kohda@debian.org>; Source for lynx is src:lynx-cur.

Reported by: Jens Seidel <jensseidel@users.sf.net>

Date: Tue, 14 Jun 2005 21:37:46 UTC

Severity: minor

Tags: fixed-upstream, l10n, patch

Found in version 2.8.5-2

Fixed in version lynx/2.8.6-1

Done: warp@debian.org (Zephaniah E. Hull)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to James Troup <james@nocrew.org>:
Bug#313789; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to Jens Seidel <jensseidel@users.sf.net>:
New Bug report received and forwarded. Copy sent to James Troup <james@nocrew.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Jens Seidel <jensseidel@users.sf.net>
To: maintonly@bugs.debian.org
Subject: lynx: [INTL:de] German PO file corrections
Date: Tue, 14 Jun 2005 23:29:04 +0200
[Message part 1 (text/plain, inline)]
Package: lynx
Version: 2.8.5-2
Severity: minor
Tags: patch l10n

Hi,

attached you will find an update of the German PO file de.po.

Note that this is a semi automatic created mail which contains all issues I
found during checking most of Debians German PO files. This includes also
encoding but mostly typo fixes.  Please contact upstream for non-native
Debian packages to incorporate the changes (even if Debians version is old)
since I noticed that the same errors are made again and again over all
packages.

Jens



[de.po.diff (text/plain, attachment)]

Information forwarded to James Troup <james@nocrew.org>:
Bug#313789; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to Jens Seidel <jensseidel@users.sf.net>:
Extra info received and forwarded to maintainer. Copy sent to James Troup <james@nocrew.org>. Full text and rfc822 format available.

Message #10 received at 313789-maintonly@bugs.debian.org (full text, mbox):

From: Jens Seidel <jensseidel@users.sf.net>
To: 313789-maintonly@bugs.debian.org
Subject: Proper encoding of patch; Was: [INTL:de] German PO file corrections
Date: Wed, 15 Jun 2005 06:29:33 +0200
[Message part 1 (text/plain, inline)]
Hi,

I noticed that UTF-8 encoded files were not properly transferred. That's
why I resend the attachment compressed.

Jens



[lynx_2.8.5-2_de.po.diff.gz (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup <james@nocrew.org>:
Bug#313789; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to James Troup <james@nocrew.org>. Full text and rfc822 format available.

Message #15 received at 313789@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 313789@bugs.debian.org
Subject: re: #313789 lynx: [INTL:de] German PO file corrections
Date: Sun, 11 Dec 2005 19:03:18 -0500
[Message part 1 (text/plain, inline)]
I'm adding this to lynx 2.8.6dev.16

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Tags added: fixed-upstream Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, James Troup <james@nocrew.org>:
Bug#313789; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to 313789@bugs.debian.org, 313789-submitter@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to James Troup <james@nocrew.org>. Full text and rfc822 format available.

Message #22 received at 313789@bugs.debian.org (full text, mbox):

From: Jens Seidel <jensseidel@users.sf.net>
To: 313789@bugs.debian.org
Cc: 313789-submitter@bugs.debian.org
Subject: Re: lynx: Ignores locale settings, uses wrong charset
Date: Sat, 20 Jan 2007 20:00:16 +0100
On Wed, Jan 03, 2007 at 09:23:00PM +0100, Jens Seidel wrote:
> Opening http://www.debian.org/security/2006/index.de.html using lynx
> in a UTF-8 locale I do not get the proper encoding.
> 
> Example:
> lynx -dump http://www.debian.org/security/2006/index.de.html | \
>  grep "n Sie einen Server in Ih"
>    W�len Sie einen Server in Ihrer N�e
> 
> Expected:
>    Wählen Sie einen Server in Ihrer Nähe
> 
> Converting the output from latin1 to UTF-8 helps but should be done by
> lynx.

I now noticed that there where some replies to this bug but without 
313789-submitter@bugs.debian.org (me) in CC:, bad!

OK, I tried lynx-cur-wrapper which uses lynx-cur. The result is better:
"Waehlen Sie einen Server in Ihrer Naehe". "ae" is the proper 7bit
transliteration of "ä". But there is no need to reduce the display to
7bit in a UTF-8 environment.

I also find the usage of a wrapper function to enable locale support
very funny! This should be handled directly in the program as every
locale aware program does it (e.g. via setlocale() function).

Jens



Message sent on to Jens Seidel <jensseidel@users.sf.net>:
Bug#313789. Full text and rfc822 format available.

Message sent on to Jens Seidel <jensseidel@users.sf.net>:
Bug#313789. Full text and rfc822 format available.

Message #28 received at 313789-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: 405471-submitter@bugs.debian.org, 313789-submitter@bugs.debian.org
Subject: Re: Bug#313789: lynx: Ignores locale settings, uses wrong charset
Date: Sat, 20 Jan 2007 19:59:53 -0500
[Message part 1 (text/plain, inline)]
On Sat, Jan 20, 2007 at 08:30:18PM +0100, Jens Seidel wrote:
> On Wed, Jan 03, 2007 at 09:23:00PM +0100, Jens Seidel wrote:
> > Opening http://www.debian.org/security/2006/index.de.html using lynx
> > in a UTF-8 locale I do not get the proper encoding.
> >
> > Example:
> > lynx -dump http://www.debian.org/security/2006/index.de.html | \
> >  grep "n Sie einen Server in Ih"
> >    W???len Sie einen Server in Ihrer N???e
> >
> > Expected:
> >    W??hlen Sie einen Server in Ihrer N??he
> >
> > Converting the output from latin1 to UTF-8 helps but should be done by
> > lynx.
> 
> I now noticed that there where some replies to this bug but without
> 313789-submitter@bugs.debian.org (me) in CC:, bad!

Your comment in #313789 is following a comment in #405471.
 
> OK, I tried lynx-cur-wrapper which uses lynx-cur. The result is better:
> "Waehlen Sie einen Server in Ihrer Naehe". "ae" is the proper 7bit
> transliteration of "??". But there is no need to reduce the display to
> 7bit in a UTF-8 environment.

In the options screen, I have

  Use locale-based character set   : [ON_] 
  Display character set            : [UNICODE (UTF-8)________________]  

and lynx -dump gives UTF-8 output (attached)

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[foo (text/plain, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Message sent on to Jens Seidel <jensseidel@users.sf.net>:
Bug#313789. Full text and rfc822 format available.

Message #31 received at 313789-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: 313789-submitter@bugs.debian.org
Subject: Re: Bug#313789: lynx: Ignores locale settings, uses wrong charset
Date: Sat, 20 Jan 2007 20:03:02 -0500
[Message part 1 (text/plain, inline)]
On Sat, Jan 20, 2007 at 08:30:18PM +0100, Jens Seidel wrote:
> I also find the usage of a wrapper function to enable locale support
> very funny! This should be handled directly in the program as every
> locale aware program does it (e.g. via setlocale() function).

If you read the source, you would notice that lynx does call setlocale().

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Reply sent to warp@debian.org (Zephaniah E. Hull):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jens Seidel <jensseidel@users.sf.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #36 received at 313789-close@bugs.debian.org (full text, mbox):

From: warp@debian.org (Zephaniah E. Hull)
To: 313789-close@bugs.debian.org
Subject: Bug#313789: fixed in lynx 2.8.6-1
Date: Tue, 01 May 2007 06:17:03 +0000
Source: lynx
Source-Version: 2.8.6-1

We believe that the bug you reported is fixed in the latest version of
lynx, which is due to be installed in the Debian FTP archive:

lynx_2.8.6-1.diff.gz
  to pool/main/l/lynx/lynx_2.8.6-1.diff.gz
lynx_2.8.6-1.dsc
  to pool/main/l/lynx/lynx_2.8.6-1.dsc
lynx_2.8.6-1_amd64.deb
  to pool/main/l/lynx/lynx_2.8.6-1_amd64.deb
lynx_2.8.6.orig.tar.gz
  to pool/main/l/lynx/lynx_2.8.6.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 313789@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Zephaniah E. Hull <warp@debian.org> (supplier of updated lynx package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 01 May 2007 01:43:17 -0400
Source: lynx
Binary: lynx
Architecture: source amd64
Version: 2.8.6-1
Distribution: unstable
Urgency: low
Maintainer: Zephaniah E. Hull <warp@debian.org>
Changed-By: Zephaniah E. Hull <warp@debian.org>
Description: 
 lynx       - Text-mode WWW Browser
Closes: 40435 67184 99400 120451 121520 132674 137480 141158 147287 152810 157088 171312 184482 188415 193205 204994 240237 244871 248092 252915 254515 265031 268264 271048 304989 313789 315853 318034 325478 343049 344275 374388 390918
Changes: 
 lynx (2.8.6-1) unstable; urgency=low
 .
   * Hijack the package.  I might not be great at it, but I do use it daily.
   * New upstream release.
     Closes: #254515, #137480, #67184, #99400, #132674, #141158, #40435,
     #120451, #157088, #204994, #244871, #248092, #268264, #271048, #318034,
     #343049, #390918, #240237, #313789, #171312, #193205, #252915, #265031,
     #121520, #152810, #188415, #344275, #374388, #184482, #315853
   * Uses the new upstream defaults. Closes: #325478, #147287.
   * Update 01_default-config.dpatch. (Offset changes only.)
   * Update 02_default-key-bindings.dpatch. (Upstream formatting changes.)
   * Kill 03_newer_gnutls.dpatch entirely.
     This was fixed upstream.  But this is also a GPL violation as we only ship
     the patch to configure, and not to configure.in, the source file.
   * Kill 04_CVE-2004-1617.dpatch. (Merged into upstream.)
   * Disable 05_FTBFS_on_GNUHurd_and_GNUkBSD (Upstream changes, file new bug if
     we FTBFS again.)
   * Removed configure arguments:
     --enable-8bit-toupper - Removed, no longer exists.
     --enable-persistent-cookies - Enabled by default.
     --enable-prettysrc - Enabled by default.
     --enable-source-cache - Enabled by default.
     --enable-read-eta - Enabled by default.
   * Added configure arguments:
     --enable-nsl-fork - fork NSL requests, allowing them to be aborted
     --enable-justify-elts - use element-justification logic
   * Update the contents and location of lynx.desktop. Closes: 304989.
   * Other things will be handled by later uploads, patches welcome.
Files: 
 5f2a3005f67b144c6093ae875957d5fe 605 web optional lynx_2.8.6-1.dsc
 2158041a3fdb5d094831da2c82cfcaba 3195728 web optional lynx_2.8.6.orig.tar.gz
 24699d4e88618f94d9dd2b3e88ca41ef 15521 web optional lynx_2.8.6-1.diff.gz
 e44c39690127312aa16149da5356ce4b 2010044 web optional lynx_2.8.6-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGNtYKRFMAi+ZaeAERAn6nAJ0SiaGd5zI4mt+sknbcH7M2/GWA1gCg2otr
gDdwPYjAsyQXG/udwapEPGA=
=6Lmp
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 04 Jul 2007 08:28:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:40:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.